.service-group {
    display: grid;
    grid-row-gap: rem(10);
    grid-column-gap: rem(10);
    grid-template-columns: 1fr;

    @include media-breakpoint-up(sm) {
        grid-template-columns: 1fr 1fr;
    }

    @include media-breakpoint-up(lg) {
        grid-row-gap: rem(20);
        grid-column-gap: rem(20);
        grid-template-columns: 1fr 1fr 1fr;
    }

    @include media-breakpoint-up(xxl) {
        grid-row-gap: rem(50);
        grid-column-gap: rem(42);
        padding-bottom: rem(9);
    }
}

.service-item {
    color: $dark;
    padding: rem(20);
    background: $white;
    border-radius: 5px;
    text-decoration: underline;
    font-weight: 300;
    font-size: rem(16);
    line-height: rem(26);
    transition: .3s;

    &:hover {
        color: $red;
        text-decoration: none;
        transition: .3s;
    }

    &__icon {
        height: 50px;
        font-size: 0;
        line-height: 0;
        display: inline-block;
        margin-bottom: rem(20);
    }

    &__title {
        display: block;
    }

    @include media-breakpoint-up(xxl) {
        font-size: rem(20);
        line-height: rem(26);
        padding: rem(22) rem(30) rem(28) rem(32);

        &__icon {
            height: rem(60);
        }
    }
}

.service-header {

    &__media {
        height: rem(142);
    }

    &__bg {
        width: 100%;
        height: 100%;
        display: block;
        object-fit: cover;
        object-position: right center;
    }

    &__main {
        background: url("../img/service_bg_text.webp") 100% 50% no-repeat;
        background-size: cover;
    }

    &__content {
        padding: rem(48) 0;
    }

    &__info {
        margin: 0;
        padding: 0;
        font-weight: 300;
        font-size: rem(16);
        line-height: rem(24);
        list-style: none;

        li {

            &:not(:last-child) {
                margin-bottom: rem(6);
            }

            strong {
                font-weight: 500;
            }
        }
    }

    &__heading {
        margin-bottom: rem(30);
    }

    &__inner {
        margin-bottom: rem(15);
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__price {
        position: relative;
        height: rem(55);
        font-weight: 400;
        font-size: rem(14);
        line-height: 130%;
        background: $white;
        padding: rem(2) rem(5);
        margin-right: rem(35);
        border-radius: 4px 0 0 4px;
        display: flex;
        align-items: center;
        flex-shrink: 0;

        &:before {
            top: 0;
            bottom: 0;
            left: 100%;
            content: '';
            width: 25px;
            position: absolute;
            background: url("../img/service_price_pattern.webp") 100% 50% no-repeat;
            background-size: cover;
        }
    }

    &__value {

        strong {
            color: $red;
            font-weight: 700;
            font-size: rem(22);
            line-height: rem(22);
        }
    }

    &__button {
        width: rem(170);
    }

    @include media-breakpoint-up(sm) {

        &__inner {
            justify-content: flex-start;
        }

        &__button {
            width: auto;
        }
    }

    @include media-breakpoint-up(md) {

        &__media {
            height: rem(300);
        }

        &__content {
            padding: rem(40) 0 rem(48) 0;
        }

        &__heading {
            margin-bottom: rem(40);
        }

        &__inner {
            margin-bottom: rem(24);
        }

        &__price {
            height: 100px;
            min-width: rem(200);
            font-size: rem(18);
            padding: rem(4) rem(20);
            margin-right: rem(78);

            &:before {
                width: 47px;
            }
        }

        &__value {
            font-size: rem(24);

            strong {
                font-size: rem(32);
                line-height: rem(32);
            }
        }

        &__info {
            font-size: rem(20);
            line-height: rem(28);
            padding-left: rem(20);

            li {

                &:not(:last-child) {
                    margin-bottom: rem(6);
                }
            }
        }
    }

    @include media-breakpoint-up(lg) {
        position: relative;

        &__media {
            top: 0;
            left: 0;
            right: 0;
            z-index: 1;
            height: 100%;
            position: absolute;
        }

        &__bg {
            object-position: center center;
        }

        &__main {
            z-index: 20;
            position: relative;
            background: transparent;
        }

        &__content {
            height: rem(490);
            display: flex;
            flex-direction: column;
        }

        &__wrap {
            margin: auto 0;
        }

        &__price {
            min-width: rem(220);
        }

        &__info {

            strong {
                font-weight: 700;
            }
        }
    }


    @include media-breakpoint-up(xl) {

        &__main {
            height: rem(490);
        }

        &__info {
            font-size: rem(20);
            line-height: rem(28);
        }
    }

    @include media-breakpoint-up(xxl) {

        &__heading {
            margin-bottom: rem(54);
        }
    }
}
